Обзор и установка 2ГИС на Ubuntu

В данной статье хочу рассказать о самой популярной геоинформационной системе в России.
А именно о её офлайн версии, которую можно установить на компьютер с Ubuntu.

1. Обзор офлайн программы 2ГИС на Ubuntu.

2ГИС - это бесплатный электронный справочник с картами городов.
Список городов постепенно пополняется новыми.

Данная система предоставляет не только подробнейшие карты городов, но и еще информацию об организациях, культурных и учебных заведениях, информацию об общественном транспорте и т.д.

Конечно же можно пользоваться веб-версией 2ГИС на их официальном сайте:

Установленная офлайн версия программы выглядит и работает идентично.
За исключением, что офлайн версия не может пока что определять маршрут.

Открыв первый раз офлайн программу 2ГИС, нам всё-таки потребуется интернет, чтобы выкачать нужные карты-справочники городов:

После чего можем выбирать свой город и искать нужную нам информацию:

Небольшой пример.

Найдем театр:

3D карта зданий. Камеру можно крутить вокруг своей оси (зажав колёсико мышки).
Сразу же показан адрес и информация о театре и даже показан вход.

Кроме того можно найти общественный транспорт, чтобы доехать до нужного места:

2. Установка офлайн программы 2ГИС на Ubuntu.

Прежде, чем устанавливать данную программу на свой компьютер, советую зайти на их офф сайт и убедиться, что в веб-версии программы есть Ваш или нужный вам город.

Внимание, пакеты доступны только для 64-х битных систем, но возможно в будущем будет поддержка 32-х битных.

Если вы хотите  офлайн версию программы на Ubuntu, чтобы иметь доступ без интернета к справочнику и картам 2ГИС, выполните поочередно следующие 5 команд в терминале:

echo 'deb http://deb.2gis.ru/ trusty non-free' | sudo tee /etc/apt/sources.list.d/2gis.list

gpg --keyserver hkp://keyserver.ubuntu.com --recv-keys 69ECCC891636CC92

gpg --armor --export 69ECCC891636CC92 | sudo apt-key add -

sudo apt-get update

sudo apt-get install 2gis

Вот и всё. Программа установлена.
 Теперь можно открывать 2ГИС через Главное меню Dash и пользоваться даже без интернета.

  • https://www.blogger.com/profile/00140731998600697879 UtkoRose

    Не сказано, что оффлайн-версия маршрут не умеет пока определять. С этой точки зрения оффлайн и онлайн-клиенты совсем не эдентичны

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Не знал об этом, добавил в статью.

    • https://www.blogger.com/profile/00140731998600697879 UtkoRose
    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Я очень редко читаю хабр, только если мне кто-то скинет ссылку на интересную статью. :).
      Значит, нет линейки и построения маршрутов пока что в офлайне версии.

  • Анонимный

    Не устанавливается. Пишет что не найден пакет 2gis. Стоит MintLinux 17.

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Не добавили репозиторий.

      Первая команда — это одна строчка:
      echo 'deb http://deb.2gis.ru/ trusty non-free' | sudo tee /etc/apt/sources.list.d/2gis.list

    • Анонимный

      Добавлял репозиторий, при добавлении пишет trusty non-free!

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      В консоле ввести:
      cat /etc/apt/sources.list.d/2gis.list

      Что выведет?

    • Анонимный

      kot@kot-K8M890M-M ~ $ cat /etc/apt/sources.list.d/2gis.list
      deb http://deb.2gis.ru/ trusty non-free

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Да, репозиторий добавлен.

      Выполняем sudo apt-get install 2gis
      Что выводит, скопируйте из консоли.

    • Анонимный

      kot@kot-K8M890M-M ~ $ sudo apt-get install 2gis
      [sudo] password for kot:
      Чтение списков пакетов… Готово
      Построение дерева зависимостей
      Чтение информации о состоянии… Готово
      E: Не удалось найти пакет 2gis

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Как я понял, то существует только 64 битная версия, у вас 32 битная система, так понимаю.

    • Анонимный

      Да, 32-битная.

    • https://www.blogger.com/profile/15556523292493292103 Danila Elizarov

      32-bit Xubuntu 14.04.3. Всё установилось и работает.
      Копипастил отсюда http://beta.2gis.ru/?utm_source=online&utm_medium=tools_download&utm_campaign=beta_promo

  • Анонимный

    Я её уж на дебиан к себе прикрутил не дождавшись пока они её там сами заточат.

  • https://www.blogger.com/profile/08706834833656323467 Эрлих Ольга

    sudo apt-get install 2gis

    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    2gis : Зависит: libc6 (< 2.20) но 2.21-0ubuntu4 будет установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

    Ubuntu 15.04… Такая вот беда

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      sudo apt-get -f install

      можно попробовать aptitude:
      sudo apt-get install aptitude
      sudo aptitude -f install

      Если не поможет выкачать нужные зависимости.
      То тогда можно в ручную скачать деб пакет отсюда:
      https://launchpad.net/ubuntu/vivid/amd64/libc6/2.19-10ubuntu2
      Но это системная библиотека. Проще подождать обновления версии 2gis и пользоваться пока веб версией.

    • https://www.blogger.com/profile/02252067398759903950 Артем Вдовин

      ne pomoglo, vse takaya zhe oshibka

    • https://www.blogger.com/profile/15556523292493292103 Danila Elizarov

      Только что установил на второй ноутбук с 32-битной Xubuntu (14.04.3) — установилось без проблем и работает.

    • https://www.blogger.com/profile/06084704671553443885 Jipstest

      Ubuntu 15.04 такая-же беда с held пакетами.

  • https://www.blogger.com/profile/13296230774660613159 Unknown

    Кому нужно на Ubuntu 15.04 16.04 вот нашел, хороший человек пересобрал deb пакет. http://forum.ubuntu.ru/index.php?topic=280068.0